Subject: Re: Inclusion of translated git manpages into the packaging systems

From: Jean-Noël AVILA <[email-masked]>
Date: Tue, 11 Jun 2019 22:37:39 +0200

On Monday, 10 June 2019 21:15:58 CEST Junio C Hamano wrote:
> Jean-Noël AVILA <[email-masked]> writes:
> 
> > I can provide an archive comprising the precompiled manpages so that 
packagers 
> > don't need to mess up with po4a.
> 
> That's an interesting thing to hear---if this effort eventually
> relieves me from having to supply preformatted manpages and HTML
> docs (after all, en/C is just one more locale from your point of
> view, right?), that would be an excellent news for me ;-)

I wasn't expecting this one ;-D In fact, the translation project is different 
in two points:

 * Not all the sources have been copied; only sources for some manpages
 * the en version is the source for translation. It's not compiled (why 
bother? it's already done in the main repo).

> 
> The last-mile packagers that are directly facing end-users would be
> happy to have a place (or two) that they can pull the pre-built docs
> for these locales from, and they would not particularly care where
> exactly those places are, I think.

BTW, who is using the preformatted docs? If it's useful to anybody to have 
access to the compound of en + translated docs, such repo can be set up.

Please note that Johannes clearly stated that git-for-windows cannot afford 
more weight, so English only manpages are still required.